arma22_scan('fig34a.dat')
ar3_scan('fig34b.dat')
aarma_acf(arma22, lag=25)
aar_acf(ar3, lag=25)
parma_acf(arma22, lag=25, 'partial')
par_acf(ar, lag=25, 'partial')
ps.options(horizontal=F, width=4.4, height=6.5, reset=T)
postscript("Fig34.ps", onefile=F, print=F)
par(mfrow = c(3, 2),mar=c(3,3,2,1)+0.1, cex=0.4)
par(mex=0.5,csi=0.11, mgp = c(1.4, 0.6, 0))
ts.plot(arma22, type='o', main='(a) Residuals from ARMA(2,2)', las=1, xlab='t', ylab='Residual')
abline(0,0)
abline(1.96,0,lty=2)
abline(-1.96,0,lty=2)
ts.plot(ar3, type='o', main='(b) Residuals from AR(3)', las=1, xlab='t', ylab='Residual')
abline(0,0)
abline(1.96,0,lty=2)
abline(-1.96,0,lty=2)
acf.plot(aarma, main='(c) Residual, ARMA(2,2)',ylab='Residual ACF')
acf.plot(aar, main='(d) Residual, AR(3)',ylab='Residual ACF')
acf.plot(parma, main='(e) Residual, ARMA(2,2)',ylab='Residual PACF')
acf.plot(par, main='(f) Residual, AR(3)',ylab='Residual PACF')
dev.off()

